## prometheus-apache-exporter 0.7.0%2Bds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= apache-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))

all: format build test

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/prometheus/promu

.PHONY: all style format build test vet tarball docker promu

## prometheus-apache-exporter 0.5.0%2Bds

=== debian/changelog ===
prometheus-apache-exporter (0.5.0+ds-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * New upstream release, upload to unstable. Closes: #887112
  * Exclude vendored files.
  * Stop using pristine-tar.
  * Automated cme updates.
  * debian/watch: Add dversionmangle.
  * Remove unused lintian override.

  [ Antoine Beaupré ]
  * do not require daemon if we use systemd

 -- Martín Ferrari <tincho@debian.org>  Sun, 14 Jan 2018 14:29:53 +0000

prometheus-apache-exporter (0.3-1) experimental; urgency=low

  * Initial release. Closes: #854630

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 09 Feb 2017 22:04:37 +0000

=== debian/control ===
Source: prometheus-apache-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-sirupsen-logrus-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-apache-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-apache-exporter.git
Homepage: https://github.com/neezgee/apache_exporter/
XS-Go-Import-Path: github.com/neezgee/apache_exporter

Package: prometheus-apache-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: apache2,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Apache server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 .
 This server reads Apache mod_status statistics and exports them via HTTP for
 consumption by Prometheus.

## prometheus-apache-exporter 0.5.0+ds

=== debian/changelog ===
prometheus-apache-exporter (0.5.0+ds-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Raúl Benencia ]
  * Fix long description.
  * Update Standards-Version to 4.1.5.

  [ Fabian Weisshaar ]
  * Add missing postinst script to create prometheus user
  * Avoid recursive chown calls
  * Update debhelper compat

  [ Martín Ferrari ]
  * debian/gbp.conf: Update branches.
  * debian/control: Add myself to Uploaders.
  * debian/dirs: Add var/log/prometheus.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Thu, 13 Dec 2018 23:53:57 +0000

=== debian/control ===
Source: prometheus-apache-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-sirupsen-logrus-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git
Homepage: https://github.com/neezgee/apache_exporter/
XS-Go-Import-Path: github.com/neezgee/apache_exporter

Package: prometheus-apache-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: apache2,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Apache server metrics
 Prometheus exporter for Apache server metrics, written in Go.
 .
 This server reads Apache mod_status statistics and exports them via HTTP for
 consumption by Prometheus.

## prometheus-apache-exporter 0.7.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: prometheus-apache-exporter
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Martín Ferrari <tincho@debian.org>,
+           Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
@@ -14,7 +14,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git
 Homepage: https://github.com/neezgee/apache_exporter/
@@ -22,6 +22,7 @@
 
 Package: prometheus-apache-exporter
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},

## prometheus-apache-exporter 0.7.0+ds

=== debian/changelog ===
prometheus-apache-exporter (0.7.0+ds-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:53:52 +0000

prometheus-apache-exporter (0.7.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.

  [ Martina Ferrari ]
  * New upstream release.
  * debian/dirs: Add missing /var/lib/prometheus
  * Update CLI params documentation.
  * debian/rules: Add build metadata.

 -- Martina Ferrari <tincho@debian.org>  Sun, 03 Nov 2019 17:12:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-apache-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tincho@debian.org>,
 Section: net

## prometheus-apache-exporter 0.8.0+ds

=== debian/changelog ===
prometheus-apache-exporter (0.8.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Badreddin Aboubakr ]
  * New upstream release
  * Update repo URL
  * d/watch: Update file standard to 4
  * Add man pages
  * d/control: Update Standards-Version
  * d/control: Add Rules-Requires-Root set to no
  * d/control: Update debhelper-compat
  * Remove error suppression from postinst
  * Remove unnecessary error suppression from init script
  * Run adduser unconditionally
  * Add missing dependency on adduser
  * d/control: Update maintainer's email
  * Do not change pathname metadata if there are dpkg statoverrides in place

  [ Daniel Swarbrick ]
  * d/copyright: add comment regarding change of upstream project owner

  [ Guillem Jover ]
  * Indent debian/watch opts
  * Change systemd service Restart directive from always to on-failure
  * Properly clean all logs on postrm
  * Use '' instead of `' in text
  * Use $() instead of `` in init script
  * Remove $syslog dependency from init script
  * Rewrite init script using start-stop-daemon
  * Switch from /var/run to /run
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Tue, 09 Feb 2021 00:52:57 +0100

prometheus-apache-exporter (0.7.0+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 03:39:08 +0000

=== debian/control ===
Source: prometheus-apache-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-sirupsen-logrus-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git
Homepage: https://github.com/Lusitaniae/apache_exporter/
XS-Go-Import-Path: github.com/Lusitaniae/apache_exporter

Package: prometheus-apache-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: apache2,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Apache server metrics
 Prometheus exporter for Apache server metrics, written in Go.
 .
 This server reads Apache mod_status statistics and exports them via HTTP for
 consumption by Prometheus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

# Taken and modified from the project's Makefile.

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_install:
	install -m755 $(BUILDDIR)/bin/apache_exporter \
            debian/prometheus-apache-exporter/usr/bin/prometheus-apache-exporter

## prometheus-apache-exporter 0.11.0

=== debian/changelog ===
prometheus-apache-exporter (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Drop +ds version suffix, since we no longer have to unvendor
  * Bump Standards-Version to 4.6.0 (no changes)
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Remove unused build-deps
    - golang-github-beorn7-perks-dev
    - golang-github-sirupsen-logrus-dev
    - golang-goprotobuf-dev
    - golang-protobuf-extensions-dev
  * Add new build-deps
    - golang-github-go-kit-kit-dev
    - golang-github-go-kit-log-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Add missing build-dep golang-gopkg-alecthomas-kingpin.v2-dev
  * Add myself to uploaders

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 14:20:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tincho@debian.org>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
-               golang-github-beorn7-perks-dev,
+               golang-github-go-kit-kit-dev,
+               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-sirupsen-logrus-dev,
-               golang-goprotobuf-dev,
-               golang-protobuf-extensions-dev,
-Standards-Version: 4.5.1
+               golang-github-prometheus-exporter-toolkit-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddir=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

=== debian/watch ===
version=4

opts=filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-apache-exporter-$1.tar.gz/,\
     dversionmangle=s/\+ds.*$//,\
     uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/Lusitaniae/apache_exporter/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz

## prometheus-apache-exporter 0.12.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x
DOCKER_IMAGE_NAME ?= apache-exporter

all:: vet checkmetrics common-all

include Makefile.common

PROMTOOL_DOCKER_IMAGE ?= $(shell docker pull -q quay.io/prometheus/prometheus:latest || echo quay.io/prometheus/prometheus:latest)
PROMTOOL ?= docker run -i --rm -w "$(PWD)" -v "$(PWD):$(PWD)" --entrypoint promtool $(PROMTOOL_DOCKER_IMAGE)

.PHONY: checkmetrics
checkmetrics:
	@echo ">> checking metrics for correctness"
	for file in test/*.metrics; do $(PROMTOOL) check metrics < $$file || exit 1; done

=== debian/changelog ===
prometheus-apache-exporter (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop unused dependency golang-github-go-kit-kit-dev
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 08 Jan 2023 23:40:43 +0000

prometheus-apache-exporter (0.11.0-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Update gbp configuration following Go Team new workflow
  * Add new 01-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0
  * Bump Standards-Version to 4.6.1 (no changes)

  [ Guillem Jover ]
  * Add value quoting information in default file comment header
  * Remove --help output from default file
  * Update debian/watch file

  [ Martina Ferrari ]
  * Update my name and email address.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 04:36:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: prometheus-apache-exporter
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Martina Ferrari <tincho@debian.org>,
+           Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -9,13 +9,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-go-kit-kit-dev,
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git

## prometheus-apache-exporter 1.0.0

=== debian/changelog ===
prometheus-apache-exporter (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 12:17:46 +0000

prometheus-apache-exporter (0.13.4-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 01-support-newer-exporter-toolkit.patch
  * Add new 01-Revert_kingpin_import_path.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 13 Jun 2023 13:35:01 +0000

## prometheus-apache-exporter 1.0.1

=== debian/changelog ===
prometheus-apache-exporter (1.0.1-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 10:39:33 +0530

prometheus-apache-exporter (1.0.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:28 +1200

prometheus-apache-exporter (1.0.1-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * debian/rules: re-work manpage generation, with correct header & footer

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 28 Jul 2023 20:59:36 +0000

## prometheus-apache-exporter 1.0.6

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,11 @@
 
 include Makefile.common
 
-PROMTOOL_DOCKER_IMAGE ?= $(shell docker pull -q quay.io/prometheus/prometheus:latest || echo quay.io/prometheus/prometheus:latest)
-PROMTOOL ?= docker run -i --rm -w "$(PWD)" -v "$(PWD):$(PWD)" --entrypoint promtool $(PROMTOOL_DOCKER_IMAGE)
+PROMETHEUS_VERSION=2.39.1
+PROMTOOL ?= /tmp/prometheus-$(PROMETHEUS_VERSION).linux-amd64/promtool
 
 .PHONY: checkmetrics
 checkmetrics:
 	@echo ">> checking metrics for correctness"
+	if ! test -x $(PROMTOOL); then curl -sL -o - https://github.com/prometheus/prometheus/releases/download/v$(PROMETHEUS_VERSION)/prometheus-$(PROMETHEUS_VERSION).linux-amd64.tar.gz | tar -C /tmp -xzf - prometheus-$(PROMETHEUS_VERSION).linux-amd64/promtool; fi
 	for file in test/*.metrics; do $(PROMTOOL) check metrics < $$file || exit 1; done

=== debian/changelog ===
prometheus-apache-exporter (1.0.6-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 16:38:56 +1000

prometheus-apache-exporter (1.0.6-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:42:12 +1000

prometheus-apache-exporter (1.0.6-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:32:54 +0530

prometheus-apache-exporter (1.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 03 Feb 2024 18:43:47 +0000

prometheus-apache-exporter (1.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 14 Jan 2024 20:38:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-apache-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
@@ -12,7 +13,7 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
                golang-gopkg-alecthomas-kingpin.v2-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## prometheus-apache-exporter 1.0.7

=== debian/changelog ===
prometheus-apache-exporter (1.0.7-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 13:11:16 +1000

prometheus-apache-exporter (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * Convert patches to gbp-pq format
  * Add new 0002-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 15 Mar 2024 14:09:38 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-golang,
                golang-any,
                golang-github-go-kit-log-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
                golang-gopkg-alecthomas-kingpin.v2-dev,

## prometheus-apache-exporter 1.0.9

=== debian/changelog ===
prometheus-apache-exporter (1.0.9-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches
  * Drop obsolete Build-Depends golang-github-go-kit-log-dev
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Sep 2024 11:35:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-apache-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
@@ -9,13 +8,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
-               golang-github-go-kit-log-dev,
+               golang-any (>= 2:1.21~),
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/Lusitaniae/apache_exporter/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz

## prometheus-apache-exporter 1.0.10

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 include Makefile.common
 
-PROMETHEUS_VERSION=2.39.1
+PROMETHEUS_VERSION=2.50.1
 PROMTOOL ?= /tmp/prometheus-$(PROMETHEUS_VERSION).linux-amd64/promtool
 
 .PHONY: checkmetrics

=== debian/changelog ===
prometheus-apache-exporter (1.0.10-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 17:35:39 +0000

=== debian/control ===
Source: prometheus-apache-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.21~),
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-apache-exporter.git
Homepage: https://github.com/Lusitaniae/apache_exporter
XS-Go-Import-Path: github.com/Lusitaniae/apache_exporter

Package: prometheus-apache-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: apache2,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for Apache server metrics
 Prometheus exporter for Apache server metrics, written in Go.
 .
 This server reads Apache mod_status statistics and exports them via HTTP for
 consumption by Prometheus.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/apache_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for Apache mod_status statistics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/Lusitaniae/apache_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-apache-exporter 1.0.11

=== debian/changelog ===
prometheus-apache-exporter (1.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 29 Dec 2025 17:22:54 +0000
